Get Usage For Run
GET /usage/runs/{run_id}Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
run_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | RunUsageBreakdownView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/usage/runs/{run_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — RunUsageBreakdownView
Section titled “Response — RunUsageBreakdownView”| Field | Type | Notes | |
|---|---|---|---|
run_id | string (uuid) | required | — |
run_cost | string | required | — |
ledger_cost | string | required | — |
reconciled | boolean | required | — |
currency | string | optional | Default "USD". |
steps | UsageStepView[] | optional | — |